$schema: "http://json-schema.org/draft-06/schema#"

title: datastream v1 Route export schema
description: A gcloud export/import command YAML validation schema.
type: object
required:
- destinationAddress
- displayName
additionalProperties: false
properties:
  COMMENT:
    type: object
    description: User specified info ignored by gcloud import.
    additionalProperties: false
    properties:
      template-id:
        type: string
      region:
        type: string
      description:
        type: string
      date:
        type: string
      version:
        type: string
  UNKNOWN:
    type: array
    description: Unknown API fields that cannot be imported.
    items:
      type: string
  destinationAddress:
    description: Destination address for connection
    type: string
  destinationPort:
    description: Destination port for connection
    type: integer
  displayName:
    description: Display name.
    type: string
  labels:
    description: Labels.
    $ref: LabelsValue.yaml
